SA-MP Forums

SA-MP Forums (https://forum.sa-mp.com/index.php)
-   Client Support (https://forum.sa-mp.com/forumdisplay.php?f=16)
-   -   [HOW TO]Apply the downgrading patch (https://forum.sa-mp.com/showthread.php?t=41141)

Jellix 25/06/2008 09:15 AM

[HOW TO]Apply the downgrading patch
 
Lots of people have trouble while they are trying to use the downgrader patch.
Some of them are just lazy,and some others don't have the basic knowledge of the computers.
So,i decided to make a step by step tutorial,<How to downgrade you copy of GTA:San Andreas>.

Step 1:
First of all you have to download the patcher:

Download

Step 2:
Now the download will be a zip file.
The real patch is in that archive.
Right click on gtasapatch.zip abd click on Extract all
Click Next 3 times and you've extracted the file
This is how the file shold look like:
http://img525.imageshack.us/img525/5086/tut4hj7.jpg

Step 3:
Double click gtasapatch.exe and this window should pop-up:
http://img525.imageshack.us/img525/4756/tut5nw1.jpg
Click Next
http://img521.imageshack.us/img521/941/tut6ef5.jpg
Click Next
http://img521.imageshack.us/img521/7053/tut7kh8.jpg
Now the patcher needs to know your GTA:San Andreas installation path
Like "C:\Program Files\:Rockstar Games\GTA San Andreas"
Attention:Giving and incorrect path will result in a failure!
You can also click on "..." button to browse for GTA:SA
http://img523.imageshack.us/img523/8715/tut8hj5.jpg
Click Next
Now the patcher will check for your GTA:SA version and it will patch it.
http://img161.imageshack.us/img161/9827/tut9id1.jpg

Now your GTA:SA is at version 1.0

Enjoy,and don't hesistate to ask if you got stuck somewhere!

Cheers!

Attention
Having a cracked version of San Andreas wil also result in a failure.
The crack modifies somethings in the executable and so it will make it an unknown version!
Also the Steam and Direct2Drive version are not supported!

The supported version are
Code:

USA 1.01
USA 2.00
EU 1.01
EU 2.00
GER 1.01
GER 1.00


l0l0rz 25/06/2008 09:17 AM

Re: [HOW TO]Apply the downgrading patch
 
I think an idiot would know how to do it ;)

kaisersouse 25/06/2008 09:18 AM

Re: [HOW TO]Apply the downgrading patch
 
Quote:

Originally Posted by l0l0rz
I think an idiot would know how to do it ;)

We must have a lot of sub-idiots then because people are ALWAYS asking how to do it.

Excellent post Jellix

Jellix 25/06/2008 09:20 AM

Re: [HOW TO]Apply the downgrading patch
 
Quote:

Originally Posted by kaisersouse
Quote:

Originally Posted by l0l0rz
I think an idiot would know how to do it ;)

We must have a lot of sub-idiots then because people are ALWAYS asking how to do it.

Excellent post Jellix

Thank you.
Well,there are lots of people that don't have the basic knowledge of computers,but they want to play sa-mp.

I just tried to make myself useful.

-Sneaky- 25/06/2008 11:48 AM

Re: [HOW TO]Apply the downgrading patch
 
Quote:

Originally Posted by Jellix
Quote:

Originally Posted by kaisersouse
Quote:

Originally Posted by l0l0rz
I think an idiot would know how to do it ;)

We must have a lot of sub-idiots then because people are ALWAYS asking how to do it.

Excellent post Jellix

Thank you.
Well,there are lots of people that don't have the basic knowledge of computers,but they want to play sa-mp.

I just tried to make myself useful.

True :P, People need screenshots and stuff to understand :roll: Nice post :!:

Storey246 25/06/2008 01:07 PM

Re: [HOW TO]Apply the downgrading patch
 
when i try to install the patch, it tells me i have an unknown version


"This program cannot patch the installed version of San Andreas because of the following reason

D:\PROGRAM FILES\ROCKSTAR\GTA SAN ANDREAS\gta_sa.exe: unknown version"


:| :| :|

Fluxx 25/06/2008 01:23 PM

Re: [HOW TO]Apply the downgrading patch
 
Apply too D:\PROGRAM FILES\ROCKSTAR\GTA SAN ANDREAS

not
D:\PROGRAM FILES\ROCKSTAR\GTA SAN ANDREAS\gta_sa.exe

i think..


Jellix 26/06/2008 04:37 AM

Re: [HOW TO]Apply the downgrading patch
 
Quote:

Originally Posted by Storey246
when i try to install the patch, it tells me i have an unknown version


"This program cannot patch the installed version of San Andreas because of the following reason

D:\PROGRAM FILES\ROCKSTAR\GTA SAN ANDREAS\gta_sa.exe: unknown version"


:| :| :|

Has to be one of this versions :

Code:

USA 1.01
USA 2.00
EU 1.01
EU 2.00
GER 1.01
GER 1.00


DriverKid 21/07/2008 07:25 AM

Re: [HOW TO]Apply the downgrading patch
 
I downloaded and did this patch on US 2.0, but when I start any SAMP server, it passes the loading screen and crashes. Windows blames it on gta_sa.exe! I really want to test out RPG Streetlife 4!

SaW 22/07/2008 10:04 AM

Re: [HOW TO]Apply the downgrading patch
 
Useful for newbies Jellix, great work ;)

Quote:

Originally Posted by DriverKid
I downloaded and did this patch on US 2.0, but when I start any SAMP server, it passes the loading screen and crashes. Windows blames it on gta_sa.exe! I really want to test out RPG Streetlife 4!

Are you using vista?
In case you are click here


All times are GMT. The time now is 06:28 PM.

Powered by vBulletin® Version 3.8.6
Copyright ©2000 - 2020, Jelsoft Enterprises Ltd.